package com.hungraim.ism.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ism.pojo.vo.disable.DisableExamineInfoVO;
import com.hungraim.ism.pojo.vo.disable.DisableVO;
import com.hungraim.ism.pojo.vo.disable.ExamineRecord;
import com.hungraim.ltc.pojo.entity.disable.ChDisableApply;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 失能人员申请历史Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface DisableApplyMapper extends BaseMapper<ChDisableApply> {
    /**
     * 查询待遇申请管理列表
     *
     * @param organIds              机构代码集合
     * @param isIncludeSubsidiaries 是否包含子机构 0包含,1不包含
     * @param provincial            省
     * @param city                  市
     * @param area                  区
     * @param name                  参保人员姓名
     * @param certiCode             参保人身份证号码
     * @param dataFrom              申请来源
     * @param srvOrganName          护理机构
     */
    Page<DisableVO> disableList(Page<DisableVO> page, List<String> organIds, String isIncludeSubsidiaries, String provincial,
                                String city, String area, String name, String certiCode,
                                String dataFrom, String srvOrganName);


    DisableExamineInfoVO selectDisableExamineInfoByApplyId(String applyId);

    List<ExamineRecord> listExamineRecordByApplyId(String applyHisId);
}
